## cereal 0.1.0

=== DESCRIPTION ===
Package: cereal
Title: Serialize 'vctrs' Objects to 'JSON'
Version: 0.1.0
Authors@R: c(
    person("Julia", "Silge", , "julia.silge@posit.co", role = c("cre", "aut"),
           comment = c(ORCID = "0000-0002-3671-836X")),
    person("Davis", "Vaughan", , "davis@posit.co", role = "aut"),
    person("Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: The 'vctrs' package provides a concept of vector prototype
    that can be especially useful when deploying models and code.  Serialize 
    these object prototypes to 'JSON' so they can be used to check and coerce 
    data in production systems, and deserialize 'JSON' back to the correct 
    object prototypes.
License: MIT + file LICENSE
URL: https://r-lib.github.io/cereal/, https://github.com/r-lib/cereal/
BugReports: https://github.com/r-lib/cereal/issues
Depends: R (>= 3.6)
Imports: jsonlite, rlang, tibble, vctrs
Suggests: covr, testthat (>= 3.0.0), withr
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.2.3
Language: en-US
NeedsCompilation: no
Packaged: 2023-06-08 19:18:13 UTC; juliasilge
Author: Julia Silge [cre, aut] (<https://orcid.org/0000-0002-3671-836X>),
  Davis Vaughan [aut],
  Posit Software, PBC [cph, fnd]
Maintainer: Julia Silge <julia.silge@posit.co>
Repository: CRAN
Date/Publication: 2023-06-09 14:00:26 UTC

## cereal 0.16

=== Makefile ===
#!/usr/bin/make -f

# Makefile for cereal

# (c) 2007 Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>
# Licensed under GPL v3 or later

# this makefile is mostly a dummy, but it provides a convenient
# "install" target for folks who want to install cereal from a
# standard "source tarball"

PREFIX=/usr
CONFIGDIR=/etc

all:
	echo "cereal is composed of scripts, so no compilation is necessary"

install:
	install -d $(PREFIX)/bin $(CONFIGDIR)/cereal
	install -d $(PREFIX)/sbin $(CONFIGDIR)/cereal
	install -d $(PREFIX)/share/man/man1 $(CONFIGDIR)/cereal
	install -d $(PREFIX)/share/man/man8 $(CONFIGDIR)/cereal
	install -d $(PREFIX)/share/cereal $(CONFIGDIR)/cereal
	install fs/usr/bin/cereal $(PREFIX)/bin/cereal
	install fs/usr/sbin/cereal-admin $(PREFIX)/sbin/cereal-admin
	install -m 0644 fs/usr/share/man/man1/cereal.1 $(PREFIX)/share/man/man1/cereal.1
	install -m 0644 fs/usr/share/man/man8/cereal-admin.8 $(PREFIX)/share/man/man8/cereal-admin.8
	install fs/usr/share/cereal/*run $(PREFIX)/share/cereal/
	install -m 0644 fs/usr/share/cereal/common $(PREFIX)/share/cereal/
	install -m 0644 fs/etc/cereal/cereal-admin.conf $(CONFIGDIR)/cereal/
	install -m 0644 fs/etc/cereal/screenrc $(CONFIGDIR)/cereal/

# invoke this target like `make VERSION=0.1 release' to build an
# "upstream tarball" (note: the curly braces are a bashism -- you can
# only "make release" from bash or an equivalent)
release:
	mkdir -p build/upstream
	ln -s ../.. build/upstream/cereal-$(VERSION)
	(cd build/upstream && tar czf ../cereal_$(VERSION).tar.gz --exclude=.svn --exclude=*~ cereal-$(VERSION)/{fs,COPYING,Makefile,docs})
	rm -f build/upstream/cereal-$(VERSION)

clean:

## cereal 0.22

=== Makefile ===
--- 
+++ 
@@ -16,16 +16,19 @@
 	echo "cereal is composed of scripts, so no compilation is necessary"
 
 install:
-	install -d $(PREFIX)/bin $(CONFIGDIR)/cereal
-	install -d $(PREFIX)/sbin $(CONFIGDIR)/cereal
-	install -d $(PREFIX)/share/man/man1 $(CONFIGDIR)/cereal
-	install -d $(PREFIX)/share/man/man8 $(CONFIGDIR)/cereal
-	install -d $(PREFIX)/share/cereal $(CONFIGDIR)/cereal
+	install -d $(CONFIGDIR)/cereal
+	install -d $(PREFIX)/bin
+	install -d $(PREFIX)/sbin
+	install -d $(PREFIX)/share/cereal
+	install -d $(PREFIX)/share/man/man1
+	install -d $(PREFIX)/share/man/man8
 	install fs/usr/bin/cereal $(PREFIX)/bin/cereal
 	install fs/usr/sbin/cereal-admin $(PREFIX)/sbin/cereal-admin
 	install -m 0644 fs/usr/share/man/man1/cereal.1 $(PREFIX)/share/man/man1/cereal.1
 	install -m 0644 fs/usr/share/man/man8/cereal-admin.8 $(PREFIX)/share/man/man8/cereal-admin.8
-	install fs/usr/share/cereal/*run $(PREFIX)/share/cereal/
+	install fs/usr/share/cereal/mainrun $(PREFIX)/share/cereal/
+	install fs/usr/share/cereal/logrun $(PREFIX)/share/cereal/
+	install fs/usr/share/cereal/finish $(PREFIX)/share/cereal/
 	install -m 0644 fs/usr/share/cereal/common $(PREFIX)/share/cereal/
 	install -m 0644 fs/etc/cereal/cereal-admin.conf $(CONFIGDIR)/cereal/
 	install -m 0644 fs/etc/cereal/screenrc $(CONFIGDIR)/cereal/

## cereal 0.24

=== Makefile ===
#!/usr/bin/make -f

# Makefile for cereal

# (c) 2007 Jameson Graef Rollins <jrollins@finestructure.net>
# Licensed under GPL v3 or later

VERSION := `head -n1 debian/changelog | sed 's/.*(\([^-]*\)-.*/\1/'`

# these defaults are for debian.  porters should probably adjust them
# before calling make install
ETCPREFIX ?= 
ETCSUFFIX ?= 
PREFIX ?= /usr
MANPREFIX ?= $(PREFIX)/share/man

# nothing to do for builds: this is a package of mostly scripts.
build:
	

tarball: clean
	rm -rf cereal-$(VERSION)
	mkdir -p cereal-$(VERSION)
	ln -s ../COPYING ../Makefile ../src ../etc ../man ../doc cereal-$(VERSION)
	tar ch --exclude='*~' --exclude='*.svn*' cereal-$(VERSION) | gzip -n > cereal_$(VERSION).orig.tar.gz
	rm -rf cereal-$(VERSION)

debian-package: tarball
	tar xzf cereal_$(VERSION).orig.tar.gz
	tar c --exclude='*~' --exclude='*.svn*' debian | tar x -C cereal-$(VERSION)
	(cd cereal-$(VERSION) && debuild -us -uc)
	rm -rf cereal-$(VERSION)

install: installman
	install -d $(DESTDIR)$(PREFIX)/bin $(DESTDIR)$(PREFIX)/sbin $(DESTDIR)$(PREFIX)/share/cereal
	install -d $(DESTDIR)$(ETCPREFIX)/etc/cereal
	install -d $(DESTDIR)$(PREFIX)/share/doc/cereal
	install src/cereal $(DESTDIR)$(PREFIX)/bin
	install src/cereal-admin $(DESTDIR)$(PREFIX)/sbin
	install -m 0644 src/common $(DESTDIR)$(PREFIX)/share/cereal
	install src/mainrun src/logrun src/finish $(DESTDIR)$(PREFIX)/share/cereal
	install -m 0644 etc/cereal-admin.conf $(DESTDIR)$(ETCPREFIX)/etc/cereal/cereal-admin.conf$(ETCSUFFIX)
	install -m 0644 etc/screenrc $(DESTDIR)$(ETCPREFIX)/etc/cereal/screenrc$(ETCSUFFIX)
	install doc/* $(DESTDIR)$(PREFIX)/share/doc/cereal

installman:
	install -d $(DESTDIR)$(MANPREFIX)/man1 $(DESTDIR)$(MANPREFIX)/man8
	gzip -n man/*/*
	install man/man1/* $(DESTDIR)$(MANPREFIX)/man1
	install man/man8/* $(DESTDIR)$(MANPREFIX)/man8
	gzip -d man/*/*

clean:
	rm -f cereal_*

.PHONY: build tarball debian-package install installman clean

=== debian/changelog ===
cereal (0.24-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. (Closes: #1007331)
  * d/copyright: Convert to machine-readable format.
  * d/control: Set Priority to optional from deprecated extra.

 -- Bastian Germann <bage@debian.org>  Sun, 24 Mar 2024 18:20:32 +0000

cereal (0.24-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Thu, 07 Jan 2021 17:16:47 +0100

cereal (0.24-1) unstable; urgency=medium

  [ Jameson Graef Rollins ]
  * new upstream packaging/build system.  all-inclusive makefile, and
    simplified debhelper rules.
  * fixed some bashisms that were causing things to fail with dash/sh
    (Closes: #511045).

  [ Daniel Kahn Gillmor ]
  * bumped debian/compat to reflect the use of debhelper 7.
  * changed maintainer address.
  
 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 09 Jan 2009 10:48:53 -0500

cereal (0.23-2) unstable; urgency=low

  * Update build depends standard version.

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Mon, 27 Oct 2008 21:29:17 -0400

cereal (0.23-1) unstable; urgency=low

  * Fixed small bug that prevented attaching to sessions of unknown state.

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Sun, 26 Oct 2008 13:43:47 -0400

cereal (0.22-1) unstable; urgency=low

  * New upstream release.
  * properly check group ownership for symlinked ttys (Closes: #484979)
    (thanks Marc Haber for patch).
  * handle locking of the serial device using /usr/bin/lockfile from
    procmail (adding a dependency) (Closes: #484980)
  
 -- Jameson Graef Rollins <jrollins@finestructure.net>  Mon, 09 Jun 2008 14:10:57 -0400

cereal (0.21-1) unstable; urgency=low

  * fix as many remaining bashisms in all scripts that we could
    find. (Closes: #476755)
  * moved to new method of registering sessions on creation.  checks are
    now done with sv status to determine the state of the session.  this
    makes things cleaner, and removes some state/registration ambiguities.

 -- Jameson Rollins <jrollins@fifthhorseman.net>  Thu, 24 Apr 2008 17:59:23 -0400

cereal (0.20-1) unstable; urgency=low

  * removed all bashisms from all scripts (using checkbashism from
    devscripts/unstable) (closing CMRG #43).

 -- Jameson Rollins <jrollins@fifthhorseman.net>  Sun, 30 Mar 2008 00:47:38 -0400

cereal (0.19-1) unstable; urgency=low

  * fixes to the runit update-service script now allows for setting of
    permissions of supervise directories at session creation, as well as
    saving supervise directories across reboots (closes: CMRG #84)
  * bumped runit version dependency up to 1.8.0-3, since changes in this
    release depend on changes in that version (see #466885).

 -- Jameson Rollins <jrollins@fifthhorseman.net>  Sun, 24 Feb 2008 17:53:13 -0500

cereal (0.18-1) unstable; urgency=low

  * use new runit command "update-service" (Closes: #466380)
  * changed terminology of runit-controller sessions from "linked" to
    "registered".

 -- Jameson Rollins <jrollins@fifthhorseman.net>  Mon, 18 Feb 2008 14:25:28 -0500

cereal (0.17-1) unstable; urgency=low

  * New Upstream Release:
  * Allows multiple concurrent connections (closes CMRG #7)
  * Improved logging of connections (includes connecting pty info)
  * debian/control: switched Section: back to utils from admin.

 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Wed, 16 Jan 2008 23:15:12 -0500

cereal (0.16-4) unstable; urgency=low

  * added Vcs-Svn and Vcs-Browser fields to debian/control

 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Sun, 13 Jan 2008 14:38:04 -0500

cereal (0.16-3) unstable; urgency=low

  * updated description so that cereal is relevant to "apt-cache search
    serial console"
  * bumped Standards-Version to 3.7.3 (no changes needed)

 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Fri, 11 Jan 2008 01:41:53 -0500

cereal (0.16-2) unstable; urgency=low

  * switched DM-Upload-Allowed to XS-DM-Upload-Allowed.

 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Tue, 27 Nov 2007 00:48:44 -0500

cereal (0.16-1) unstable; urgency=low

  * new upstream version
  * found/fixed a couple lingering GPL v2 references
  * removed bashisms from "make install" (Closes: #453040)
  * add DM-Upload-Allowed: yes to debian/control.

 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Mon, 26 Nov 2007 19:57:48 -0500

cereal (0.15-2) unstable; urgency=low

  * update debian/control with Homepage field.

 -- Jameson Rollins <jrollins@fifthhorseman.net>  Wed, 21 Nov 2007 14:05:40 -0500

cereal (0.15-1) unstable; urgency=low

  * change call to sh to be call to bash in cereal-admin start (fix ticket #36)
  * fix is_controllable function to be more accurate

 -- Jameson Rollins <jrollins@fifthhorseman.net>  Wed, 24 Oct 2007 15:47:49 -0400

cereal (0.14-2) unstable; urgency=low

  * fix to cereal.preinst script to properly upgrade from older versions

 -- Jameson Rollins <jrollins@fifthhorseman.net>  Mon, 15 Oct 2007 12:03:59 -0400

cereal (0.14-1) unstable; urgency=low

  * overhaul/simplification of listing function
  * overhaul/simplification of error reporting
  * added log-limiting documentation and mention in cereal-admin man page

 -- Jameson Rollins <jrollins@fifthhorseman.net>  Fri, 12 Oct 2007 01:35:47 -0400

cereal (0.13-3) unstable; urgency=low

  * added var/lib/cereal/sessions to debian/dirs to fix ticket #33

 -- Jameson Rollins <jrollins@fifthhorseman.net>  Thu, 11 Oct 2007 20:55:20 -0400

cereal (0.13-2) unstable; urgency=low

  * added gecos field for cereal user

 -- Jameson Rollins <jrollins@fifthhorseman.net>  Wed, 10 Oct 2007 18:27:42 -0400

cereal (0.13-1) unstable; urgency=low

  * update of is_running function with better tests/return
  * moved session directory to /var/lib/cereal/sessions



=== debian/control ===
Source: cereal
Section: utils
Priority: optional
Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Uploaders: Jameson Graef Rollins <jrollins@finestructure.net>
Build-Depends: debhelper (>= 7.0)
Standards-Version: 3.8.0.1
Homepage: http://cmrg.fifthhorseman.net/wiki/cereal
Vcs-Svn: http://cmrg.fifthhorseman.net/svn/trunk/cereal
Vcs-Browser: http://cmrg.fifthhorseman.net/browser/trunk/cereal
Dm-Upload-Allowed: yes

Package: cereal
Architecture: all
Depends: runit (>= 1.8.0-3), screen, adduser, procmail
Description: automated, logged serial terminal management system
 cereal provides a framework to easily set up and maintain automated,
 timestamped logs of serial lines, while simultaneously allowing end
 user access to them.  This is probably most useful for providing
 automated, logged access to remote serial consoles.  
 .
 cereal can control an arbitrary number of independently monitored and
 logged lines.  Direct access to the monitored lines is allowed only
 to a specific user (who doesn't necessarily otherwise have access to
 the direct serial line), but logs can be made available to any group.
 Logs are rotated automatically and their total space can be limited
 in size.
